Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77542 - XFree86-truetype-fonts does integrate with Xft/fontconfig
Summary: XFree86-truetype-fonts does integrate with Xft/fontconfig
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-08 19:35 UTC by Gene Czarcinski
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-11-09 19:27:35 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2003:067 high SHIPPED_LIVE : Updated XFree86 packages provide security and bug fixes 2003-06-25 04:00:00 UTC

Description Gene Czarcinski 2002-11-08 19:35:47 UTC
Description of Problem:
The package XFree86-truetype-fonts appears to be out-of-step with the direction
toward using Xft and fontconfig.

1. fc-cache is not run against the TTF directory and therefore there is no
fonts.cache-1 file created when the package is installed (as oppose to the
bitmap-fonts package for its directory).

2. The /usr/X11R6/lib/X11/fonts/TTF/ directory is not listed as part of the
directories to be handled by Xft/fontconfig.

Version-Release number of selected component (if applicable):


How Reproducible:


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:

Comment 1 Mike A. Harris 2002-11-09 00:50:08 UTC
#1 needs to be fixed.
#2 is intentional.  luxi ttf font is ugly

Comment 2 Gene Czarcinski 2002-11-09 12:11:52 UTC
See my comments for 77540.

The more I look into fonts the more I believe Red Hat is headed in the right
direction.  The problem is that I am having a bit of difficulting seeing some of
the details (such as luxi ttf is ugly).  Trying to understand just how things
are working is not all that clear.  OK, if Luxi ttf is butt ugly and the Type1
stuff looks OK, I understand why you are using it.  But then there is why
fc-cache is not run against the Type1 directory muddies the water to make things
unclear again.

One of my reasons for getting more (especially MS ttf) fonts installed is so I
can interact better with MS systems (especially documents).

Comment 4 Mike A. Harris 2002-11-10 19:31:11 UTC
Fixed in 4.2.99.2-0.20021110.1

Created new __fccache macro, and placed it into all font post/postun scripts.
It detects the location of fc-cache and if present runs it, otherwise does
nothing.

Comment 5 Mike A. Harris 2003-07-01 23:21:02 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-067.html



Note You need to log in before you can comment on or make changes to this bug.